org.jgroups.stack

## Interface NakReceiverWindow.Listener

- All Known Implementing Classes:
    NAKACK
  Enclosing class:
    NakReceiverWindow

      public static interface NakReceiverWindow.Listener

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `messageGapDetected(long from, long to, Address src)`
    `void` | `missingMessageReceived(long seqno, Address original_sender)`

- - ### Method Detail

    - #### missingMessageReceived

          void missingMessageReceived(long seqno,
                                    Address original_sender)

    - #### messageGapDetected

          void messageGapDetected(long from,
                                long to,
                                Address src)

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.